CVE-2016-2851

Priority
Description
Integer overflow in proto.c in libotr before 4.1.1 on 64-bit platforms
allows remote attackers to cause a denial of service (memory corruption and
application crash) or execute arbitrary code via a series of large OTR
messages, which triggers a heap-based buffer overflow.
Assigned-to
mdeslaur
Package
Upstream:released (4.1.1)
Ubuntu 14.04 LTS (Trusty Tahr):released (4.0.0-2.2ubuntu1.1)
Ubuntu 16.04 LTS (Xenial Xerus):released (0.6.3-4.2ubuntu1)
Patches:
More Information

Updated: 2019-03-19 12:25:51 UTC (commit 15472795df7e9de45b82f2d36b8b419b939f97b2)